# MouseSensor Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A MouseSensor is a special kind of a general sensor More...

`#include <mousesensor.h>`

Inherits: Sensor

## Public Members

- MouseSensor ()
- ~MouseSensor ()
- PyObject* getXPosition ()
- PyObject* getYPosition ()

## Detailed Description

A MouseSensor is a special kind of a general sensor.

## PyObject* getXPosition()

Returns the x-coordinate of the mouse sensor, in frame coordinates. The lower-left corner is the origin. The coordinate is given in pixels.

## PyObject* getYPosition()

Returns the y-coordinate of the mouse sensor, in frame coordinates. The lower-left corner is the origin. The coordinate is given in pixels.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc